Import('RTT_ROOT')
Import('rtconfig')
from building import *

cwd = GetCurrentDir()

subdirs = []

src = Glob('*.c')
# for d in subdirs:
#     src += Glob(f'{d}/*.c')
#     src += Glob(f'{d}/*.cc') 

# src += Glob('../led/rgb_effect.c')
# src += Glob('../led/rgb_effect_mgr.c')
# src += Glob('../led/effect_mgr.c')
# src += Glob('../led/effect_catalog.c')
# src += Glob('../rgb/rgb_video_bank.c')
# src += Glob('../rgb/rgb_video_player.c')
# src += Glob('../rgb/rgb_video_event_adapter.c')
# src += Glob('../rgb/rgb_video_event_adapter_example.c')

CPPPATH = [cwd]
# CPPPATH += [cwd + '/../common']
# CPPPATH += [cwd + '/../led']
# CPPPATH += [cwd + '/../rgb']

group = DefineGroup('App_main', src, depend = [''], CPPPATH = CPPPATH)

Return('group')
